%{?nodejs_find_provides_and_requires}

%global packagename spdx-expression-parse
%global enable_tests 1

Name:		nodejs-spdx-expression-parse
Version:	1.0.2
Release:	6%{?dist}
Summary:	Parse SPDX license expressions

License:	MIT and CC-BY
URL:		https://github.com/kemitchell/spdx-expression-parse.js.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/kemitchell/spdx-expression-parse.js/v%{version}/generate-parser.js
# the package is actually precompiled from this source file, which isn't included
# in the NPM tarball

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	uglify-js
BuildRequires:	npm(jison)
BuildRequires: npm(spdx-license-ids)
BuildRequires: npm(spdx-exceptions)

%if 0%{?enable_tests}
# BuildRequres for tests go here
%endif

Requires:	nodejs

%description
Parse SPDX license expressions


%prep
%setup -q -n package
cp -p %{SOURCE1} .
# remove pre-compiled version
rm parser.generated.js


%build
# We need to symlink the dependencies in %%build instead of %%check
# so that we can generate the minified JavaScript
%nodejs_symlink_deps --check
%__nodejs generate-parser.js | %{_bindir}/uglifyjs > parser.generated.js

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
# %nodejs_symlink_deps --check
# We already symlinked the deps in %%build, so we don't need to
# do it in %%check again. (It just creates noise in the build logs)
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# test suite goes here
echo "There are no tests..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 13 2016 Stephen Gallagher <sgallagh@redhat.com> - 1.0.2-2
- Properly BuildRequires: spdx-license-ids and spdx-exceptions

* Mon Dec 14 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.2-1
- Update to upstream 1.0.2 release

* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
